package ds;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.StringItem;
import javax.microedition.midlet.MIDlet;
import javax.microedition.io.Connector;
import javax.microedition.io.file.FileSystemRegistry; // jsr75.jar
import javax.microedition.io.file.FileConnection; // jsr75.jar
import java.util.Enumeration;

/** Very simple midled basing on the WTK example.
  * @author Daniel Stoinski
  * @version $Revision: 34 $
  */
public class Sysprops extends MIDlet implements CommandListener {
  /** Subset of properties supported by most platforms.
    * http://developers.sun.com/mobility/midp/questions/properties/index.html
    */
  private static final String PROPNAMES[] = {
         "CHAPI-Version",
         "file.separator",
         "microedition.commports",
         "microedition.configuration",
         "microedition.encoding",
         "microedition.hostname",
         "microedition.io.file.FileConnection.version",
         "microedition.jtwi.version",
         "microedition.locale",
         "microedition.location.version",
         "microedition.m3g.version",
         "microedition.pim.version",
         "microedition.platform",
         "microedition.profiles",
         "microedition.sip.version",
         "microedition.smartcardslots",
         "wireless.messaging.mms.mmsc",
         "wireless.messaging.sms.smsc"
  };
  /** The main form of the application.
    * Here we make any output visible in the application.
    */
  private Form m_form;

  /** Creates the form and fills it with system property names and values.
    */
  public Sysprops() {
    Enumeration    e;
    FileConnection fc;
    String         propname, propvalue, dirname;
    StringBuffer   sb;
    int            i;

    m_form = new Form("Sysprops");
    for(i=0; i<PROPNAMES.length; i++) {
      propname = PROPNAMES[i];
      propvalue = System.getProperty(propname);
      if (propvalue != null) {
        sb = new StringBuffer(propname);
        sb.append('=').append(propvalue).append('\n');
        m_form.append(sb.toString());
      }
    }
    try {
      e = FileSystemRegistry.listRoots();
      m_form.append("Files\n");
      while(e.hasMoreElements()) {
        sb = new StringBuffer();
        sb.append("file:///").append(e.nextElement());
        dirname = sb.toString();
        sb.append('\n');
        m_form.append(sb.toString());
      }
    }
    catch(Exception excp) { }
    m_form.addCommand(new Command("Exit", Command.EXIT, 0));
    m_form.setCommandListener(this);
  } // First()

  /** Called, if the application starts.
    * Sets m_form as the form of the application.
    */
  public void startApp() {
    Display.getDisplay(this).setCurrent(m_form);
  } // startApp()

  /** Does absolutely nothing.
    */
  public void pauseApp() {
  } // pauseApp()
  
  /** Does absolutely nothing.
    * @param unconditional ignored
    */
  public void destroyApp(boolean unconditional) {
  } // destroyApp()

  /** Called on commands.
    * Since the only command in this application is exit, the
    * method destroys the midlet.
    * @param c ignored
    * @param s ignored
    */
  public void commandAction(Command c, Displayable s) {
    notifyDestroyed();
  } // commandAction()
} // class Sysprops

