package ds;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.ImageItem;

/** The main dictionary form.
  * Nothing special, just an invitation picture and some menu items
  * allowing to come either to the load or search form.
  */
public class MainForm extends BaseForm {

  /** Initializes the form.
    * @param aParent the parent midlet.
    */
  public MainForm(DictMidlet aParent) {
    super("Dictionary", aParent);

    Image     img;
    ImageItem imi;

    this.addCommand(new Command("Search", Command.OK, 0));
    this.addCommand(new Command("Load", Command.SCREEN, 0));
    try {
      img = Image.createImage("/dict.cc.png");
      imi = new ImageItem("", img, ImageItem.LAYOUT_CENTER, "");
      this.append(imi);
    }
    catch(Exception excp) { excp.printStackTrace(); }
  } // MainForm()

  /** Command actions.
    * Activates LoadForm for Command.SCREEN.
    * Activates SearchForm for Command.OK.
    * Exits the midlet on Command.EXIT.
    * @param c used in order to fined the command type.
    * @param s ignored.
    * @see LoadForm
    */
  public void commandAction(Command c, Displayable s) {
    LoadForm   ldfrm;
    SearchForm sfrm;

    switch(c.getCommandType()) {
      case Command.EXIT :
        if (this.m_parent != null) this.m_parent.notifyDestroyed();
        break;
      case Command.OK :
        this.showForm(new SearchForm(this.m_parent));
        break;
      case Command.SCREEN :
        this.showForm(new LoadForm(this.m_parent));
        break;
      default :
        super.commandAction(c, s);
        break;
    } // switch
  } // commandAction()

} // class MainForm

